CVE-2020-12797

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2020-12797
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2020-12797.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2020-12797
Aliases
Published
2020-06-11T20:15:11Z
Modified
2024-06-06T12:57:24.207639Z
Severity
  • 5.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N CVSS Calculator
Summary
[none]
Details

HashiCorp Consul and Consul Enterprise failed to enforce changes to legacy ACL token rules due to non-propagation to secondary data centers. Introduced in 1.4.0, fixed in 1.6.6 and 1.7.4.

References

Affected packages

Git / github.com/hashicorp/consul

Affected ranges

Type
GIT
Repo
https://github.com/hashicorp/consul
Events

Affected versions

api/v1.*

api/v1.0.0
api/v1.0.1
api/v1.1.0
api/v1.2.0

internal/v0.*

internal/v0.1.0

sdk/v0.*

sdk/v0.1.0
sdk/v0.1.1
sdk/v0.2.0
sdk/v0.3.0

v1.*

v1.4.0
v1.4.1
v1.4.2
v1.4.3
v1.4.4
v1.5.0
v1.5.1
v1.5.2
v1.5.3
v1.6.0
v1.6.0-beta1
v1.6.0-beta2
v1.6.0-beta3
v1.6.0-rc1
v1.6.1
v1.6.2
v1.6.3
v1.6.4
v1.6.5